WordPress.org

Support

Support » Plugins and Hacks » [Plugin: User Role Editor] privilege for database extension plug-in for contact-form7

[Plugin: User Role Editor] privilege for database extension plug-in for contact-form7

Viewing 1 replies (of 1 total)
  • Plugin Author Vladimir Garagulya

    @shinephp

    Hi,

    Generally plugin code modification is needed for that:
    1) add new capability to WordPress capabilities list;
    2) in key places of plugin code check if user has needed capability and permit or not permit some actions.
    If you not intend to change plugin code yourself may be to ask plugin author about new functionality will be better decision.

    Abot user levels:
    In short, User Levels were introduced in WordPress 1.5, they were replaced by Roles and Capabilities in WordPress 2.0, and were finaly deprecated in WordPress 3.0.
    Prior to version 2.0, WordPress used a user User Levels system. This was replaced in version 2.0 with the much improved and more extensible Roles and Capabilities system you see today. To maintain backwards compatibility with plugins that still use the user levels system (although this is very much discouraged), the default Roles in WordPress also include Capabilities that correspond to these levels. User Levels were finaly deprecated in version 3.0.
    More details at
    http://codex.wordpress.org/User_Levels
    http://codex.wordpress.org/Roles_and_Capabilities

Viewing 1 replies (of 1 total)
  • The topic ‘[Plugin: User Role Editor] privilege for database extension plug-in for contact-form7’ is closed to new replies.